
Foreman - Bug #751

foreman responds with http 500 error if proxy is unreachable

03/15/2011 04:17 PM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Smart Proxy   

Target version: 0.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

when editing a smart proxy and that proxy is unreachable (i.e. firewall) the rails process will wait and eventually time out.

the connectivity check should be within a timeout block.

Associated revisions

Revision 34c3a262 - 05/04/2011 07:59 AM - Ohad Levy

fixes #751 - foreman responds with http 500 error if proxy is unreachable

History

#1 - 04/12/2011 04:04 PM - Ohad Levy

- Category set to Smart Proxy

- Assignee set to Paul Kelly

- Target version set to 0.3

#2 - 05/04/2011 07:58 AM - Ohad Levy

- Assignee changed from Paul Kelly to Ohad Levy

#3 - 05/04/2011 08:00 AM - Ohad Levy

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 34c3a2628f2312ffc1b81160ecc202203484050d.

#4 - 05/04/2011 08:00 AM - Ohad Levy

- Status changed from Ready For Testing to Closed
